function browseByArtistAlbumArtistPageFilter()
{
    var select1   = document.getElementById("selectArtistArtworkFilter");
    var selected1 = select1.options[select1.selectedIndex].value;

    var select2   = document.getElementById("selectCoverArtFilter");
    var selected2 = select2.options[select2.selectedIndex].value;

    var select3   = document.getElementById("selectAlbumMatchFilter");
    var selected3 = select3.options[select3.selectedIndex].value;

    var select4   = document.getElementById("selectMusicBrainzAlbumMatchFilter");
    var selected4 = select4.options[select4.selectedIndex].value;

    var select5   = document.getElementById("selectDiscogsAlbumMatchFilter");
    var selected5 = select5.options[select5.selectedIndex].value;

    var select6   = document.getElementById("selectUpdatedFilter");
    var selected6 = null;
    if(select6!=null)
    {
       selected6 = select6.options[select6.selectedIndex].value;
    }

    switch(selected1)
    {
        case "1":
            toggleDisplay("tile", "block");
            break;

        case "2":
            toggleDisplay("image", "none");
            toggleDisplay("noimage", "block");
            break;

        case "3":
            toggleDisplay("image", "block");
            toggleDisplay("noimage", "none");
            break;
    }

    switch(selected2)
    {
       case "1":
           //nothing to do
           break;

       case "2":
           furtherFilter("noalbumimage", "none");
           break;

       case "3":
           furtherFilter("albumimage", "none");
           break;
    }

    switch(selected3)
    {
       case "1":
           //nothing to do
           break;

       case "2":
           furtherFilter("no_album_match", "none");
           break;

       case "3":
           furtherFilter("album_match", "none");
           break;
    }

    switch(selected4)
    {
       case "1":
           //nothing to do
           break;

       case "2":
           furtherFilter("no_musicbrainz_match", "none");
           break;

       case "3":
           furtherFilter("musicbrainz_match", "none");
           break;
    }

    switch(selected5)
    {
       case "1":
           //nothing to do
           break;

       case "2":
           furtherFilter("no_discogs_match", "none");
           break;

       case "3":
           furtherFilter("discogs_match", "none");
           break;
    }

    if(selected6!=null)
    {
        switch(selected6)
        {
           case "1":
               //nothing to do
               break;

           case "2":
               furtherFilter("not_modified", "none");
               break;

           case "3":
               furtherFilter("modified", "none");
               break;
        }
    }

    var search  = document.getElementById("search").value.toUpperCase();
    if(search.length>0)
    {
        var figures = document.getElementsByClassName("tile");
        for (i = 0; i < figures.length; i++)
        {
            if(figures[i].style.display == "block")
            {
                var links = figures[i].getElementsByClassName("link");
                var link =  links[0];
                if (link.innerHTML.toUpperCase().indexOf(search) > -1)
                {
                    figures[i].style.display = "block";
                }
                else
                {
                    figures[i].style.display = "none";
                }
            }
        }
    }
}

function browseByArtistAlbumAlbumPageFilter()
{
    var select1   = document.getElementById("selectCoverArtFilter");
    var selected1 = select1.options[select1.selectedIndex].value;

    var select2   = document.getElementById("selectAlbumMatchFilter");
    var selected2 = select2.options[select2.selectedIndex].value;

    var select3   = document.getElementById("selectMusicBrainzAlbumMatchFilter");
    var selected3 = select3.options[select3.selectedIndex].value;

    var select4   = document.getElementById("selectDiscogsAlbumMatchFilter");
    var selected4 = select4.options[select4.selectedIndex].value;

    var select5   = document.getElementById("selectUpdatedFilter");
    var selected5 = null;
    if(select5!=null)
    {
      var selected5 = select5.options[select5.selectedIndex].value;
    }

    //Set up based first filter
    switch(selected1)
    {
       case "1":
           toggleDisplay("tile", "block");
           break;

       case "2":
           toggleDisplay("image", "none");
           toggleDisplay("noimage", "block");
           break;

       case "3":
           toggleDisplay("image", "block");
           toggleDisplay("noimage", "none");
           break;
    }

    switch(selected2)
    {
       case "1":
           //nothing to do
           break;

       case "2":
           furtherFilter("no_album_match", "none");
           break;

       case "3":
           furtherFilter("album_match", "none");
           break;
    }

    switch(selected3)
    {
       case "1":
           //nothing to do
           break;

       case "2":
           furtherFilter("no_musicbrainz_match", "none");
           break;

       case "3":
           furtherFilter("musicbrainz_match", "none");
           break;
    }

    switch(selected4)
    {
       case "1":
           //nothing to do
           break;

       case "2":
           furtherFilter("no_discogs_match", "none");
           break;

       case "3":
           furtherFilter("discogs_match", "none");
           break;
    }

    if(selected5!=null)
    {
        switch(selected5)
        {
           case "1":
               //nothing to do
               break;

           case "2":
               furtherFilter("not_modified", "none");
               break;

           case "3":
               furtherFilter("modified", "none");
               break;
        }
    }

    var search  = document.getElementById("search").value.toUpperCase();
    if(search.length>0)
    {
        var figures = document.getElementsByClassName("tile");
        for (i = 0; i < figures.length; i++)
        {
            if(figures[i].style.display == "block")
            {
                var links = figures[i].getElementsByClassName("link");
                var link =  links[0];
                if (link.innerHTML.toUpperCase().indexOf(search) > -1)
                {
                    figures[i].style.display = "block";
                }
                else
                {
                    figures[i].style.display = "none";
                }
            }
        }
   }
}

function toggleDisplay(className, displayValue)
{
    var figures = document.getElementsByClassName(className);
    for (i = 0; i < figures.length; i++)
    {
      figures[i].style.display = displayValue;
    }
}

function furtherFilter(className)
{
    var figures = document.getElementsByClassName("tile");
    for (i = 0; i < figures.length; i++)
    {
        if(figures[i].style.display == "block")
        {
            if(!figures[i].classList.contains(className))
            {
                figures[i].style.display = "none";
            }
        }
    }
}

function toggleLabelsFilter(filtername)
{
      var checkbox = document.getElementById("showLabels");
      if(checkbox.checked)
      {
             localStorage.setItem("showLabels", "true");
             var badges = document.getElementsByClassName("badge");
             for (i = 0; i < badges.length; i++)
             {
               badges[i].style.visibility = "visible";
             }
      }
      else
      {
            localStorage.setItem("showLabels", "false");
            var badges = document.getElementsByClassName("badge");
            for (i = 0; i < badges.length; i++)
            {
                badges[i].style.visibility = "hidden";
            }
      }
}

function checkFilter()
{
    var setting = localStorage.getItem("showLabels");
    if(setting==null || setting=="true")
    {
        document.getElementById("showLabels").checked=true;
        var badges = document.getElementsByClassName("badge");
        for (i = 0; i < badges.length; i++)
        {
            badges[i].style.visibility = "visible";
        }
    }
    else
    {
        document.getElementById("showLabels").checked=false;
        var badges = document.getElementsByClassName("badge");
        for (i = 0; i < badges.length; i++)
        {
            badges[i].style.visibility = "hidden";
        }
    }
}