function enableBadge(badgeElement)
{
    var badgesList = document.getElementById(badgeElement).getElementsByTagName("span");
    for (i = 0; i < badgesList.length; i++)
    {
        badgesList[i].classList.add("badge-warning");
        badgesList[i].classList.remove("text-muted");
        badgesList[i].classList.remove("badge-light");
    }
}

function disableBadge(badgeElement)
{
    var badgesList = document.getElementById(badgeElement).getElementsByTagName("span");
    for (i = 0; i < badgesList.length; i++)
    {
        badgesList[i].classList.remove("badge-warning");
        badgesList[i].classList.add("text-muted");
        badgesList[i].classList.add("badge-light");
    }
}

function albumartwork()
{
    cb0 = document.getElementById('isFindFrontCoverart').checked;
	if(cb0)
	{
		enableInputAndLabel('embedArtwork');
		enableInputAndLabel('fsArtwork');
		enableInputAndLabel('saveArtworkFilename');
	}
	else
	{
		disableInputAndLabel('embedArtwork');
        disableInputAndLabel('fsArtwork');
		disableInputAndLabel('saveArtworkFilename');
    }
}


function sortAlphabetically(selectName)
{
        var functionsToSort = $(selectName + ' ' + 'option');
        functionsToSort.sort(function(a,b){
           var textA = a.text.toUpperCase();
           var textB = b.text.toUpperCase();
           return (textA < textB) ? -1 : (textA > textB) ? 1 : 0;
        });
        $(selectName).html(functionsToSort);
}

/**
* Add error msg to modal (remove existing messages first
*/
function addAlertToModal(alerts, msg)
{
    removeAllAlerts(alerts);
    var alert = document.createElement("div");
    var msg   = document.createTextNode(msg);
    alert.className = "alert alert-danger";
    //alert.role = "alert";
    alert.appendChild(msg);
    alerts.appendChild(alert);
}

function removeAllAlerts(alerts)
{
    while (alerts.hasChildNodes()) {
      alerts.removeChild(alerts.lastChild);
    }
}

/*
* Init Never Modify modal
*/
$('#fieldsNeverModifyModal').on('show.bs.modal', function (e) {

 initFieldsModal("fieldsNeverModify");
});

/*
* Init Modify If Empty modal
*/
$('#fieldsModifyIfEmptyModal').on('show.bs.modal', function (e) {

 initFieldsModal("fieldsModifyIfEmpty");
});

/*
* Init Multi Values Fields modal
*/
$('#fieldsAsMultiValueModal').on('show.bs.modal', function (e) {

 initFieldsModal("fieldsAsMultiValue");
});

